<?php

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Allow-Headers: Content-Type");header('Content-Type: application/json');

$inputData = json_decode(file_get_contents('php://input'), true);

if (isset($inputData['name'], $inputData['last_name'], $inputData['phone_number'], $inputData['email'], $inputData['message'], $inputData['formType'])) {
    
    $name = htmlspecialchars(trim($inputData['name']));
    $last_name = htmlspecialchars(trim($inputData['last_name']));
    $phone_number = htmlspecialchars(trim($inputData['phone_number']));
    $email = filter_var(trim($inputData['email']), FILTER_VALIDATE_EMAIL);
    $message = htmlspecialchars(trim($inputData['message']));
    $formType = htmlspecialchars(trim($inputData['formType']));

    if (!$email) {
        echo json_encode(['success' => false, 'message' => 'Invalid email address']);
        exit;
    }


    
        $to = "girdharidusad30@gmail.com"; 
$subject = $formType . ' New Inquiry Form Submission';
    $body = "Name: $name $last_name\nPhone: $phone_number\nEmail: $email\nMessage: $message\n";
        $headers = "From: goldkingscale@goldkingscale.com\r\n".
               'Reply-To: ' . $email . "\r\n" .
               'X-Mailer: PHP/' . phpversion();

    if (mail($to, $subject, $body, $headers)) {
        echo json_encode(['success' => true, 'message' => 'Your inquiry has been submitted successfully']);
    } else {
        echo json_encode(['success' => false, 'message' => 'Error sending your inquiry. Please try again.']);
    }

} else {
    echo json_encode(['success' => false, 'message' => 'Required fields are missing']);
}

?>
