<?php

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Allow-Headers: Content-Type");
header('Content-Type: application/json');

// Check if the request method is POST
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Read raw POST data (JSON)
    $data = json_decode(file_get_contents("php://input"), true);

    // Get form data from JSON
    $name = isset($data['name']) ? $data['name'] : '';
    $phone_number = isset($data['phone_number']) ? $data['phone_number'] : '';
    $email = isset($data['email']) ? $data['email'] : '';
    $msg_subject = isset($data['msg_subject']) ? $data['msg_subject'] : '';
    $message = isset($data['message']) ? $data['message'] : '';

    // Email details
    $to = "girdharidusad30@gmail.com"; 
    $subject = "Contact Form Submission: " . $msg_subject;
    $body = "You have received a new message from your contact form.\n\n" .
            "Name: $name\n" .
            "Phone: $phone_number\n" .
            "Email: $email\n" .
            "subject: $msg_subject\n\n" .
            "Message:$message";

    // Mail headers
    $headers = "From: goldkingscale@goldkingscale.com\r\n";
    $headers .= "Reply-To: $email\r\n";
    $headers .= "Content-Type: text/plain; charset=UTF-8\r\n";

    // Send email
    if (mail($to, $subject, $body, $headers)) {
        echo json_encode(['success' => true, 'message' => 'Email sent successfully!']);
    } else {
        echo json_encode(['success' => false, 'message' => 'Error sending email. Please try again later.']);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Invalid request method.']);
}
?>
