<?php
// Set headers for JSON response and CORS
header('Content-Type: application/json; charset=UTF-8');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET');
header('Access-Control-Allow-Headers: Access-Control-Allow-Headers, Content-Type, Access-Control-Allow-Methods, Authorization, X-Requested-With');

include 'config.php';

$sql = "SELECT `id`, `Name`, `Category_id`, `Price`, `del_price`, `Img-1` FROM `product` WHERE `visible` = 1 ORDER BY RAND() LIMIT 12";
$result = $conn->query($sql);

$products = [];
if ($result->num_rows > 0) {
    while ($row = $result->fetch_assoc()) {
        $products[] = $row;
    }
}

// Return products as JSON
echo json_encode($products);

// Close connection
$conn->close();
?>
